Skip to main content
PUT
/
v3
/
products
/
{product}
/
variants
/
{variant}
Edit Product Variant
curl --request PUT \
  --url https://api.{tenant}.getomneo.com/api/v3/products/{product}/variants/{variant} \
  --header 'Content-Type: application/json' \
  --data '
{
  "handle": "<string>",
  "web_url": "<string>",
  "external_id": "<string>",
  "title": "<string>",
  "sku": "<string>",
  "barcode": "<string>",
  "description": "<string>",
  "available_quantity": 123,
  "price": 123,
  "price_discounted": 123,
  "price_comparison": 123,
  "price_cost": 123,
  "position": 123,
  "meta": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "images": [
    {
      "url": "<string>",
      "sort_order": 123
    }
  ],
  "options": [
    {
      "value": "<string>",
      "name": "<string>",
      "sort_order": 123
    }
  ]
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/products/{product}/variants/{variant}"

payload = {
"handle": "<string>",
"web_url": "<string>",
"external_id": "<string>",
"title": "<string>",
"sku": "<string>",
"barcode": "<string>",
"description": "<string>",
"available_quantity": 123,
"price": 123,
"price_discounted": 123,
"price_comparison": 123,
"price_cost": 123,
"position": 123,
"meta": ["<string>"],
"tags": ["<string>"],
"images": [
{
"url": "<string>",
"sort_order": 123
}
],
"options": [
{
"value": "<string>",
"name": "<string>",
"sort_order": 123
}
]
}
headers = {"Content-Type": "application/json"}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
handle: '<string>',
web_url: '<string>',
external_id: '<string>',
title: '<string>',
sku: '<string>',
barcode: '<string>',
description: '<string>',
available_quantity: 123,
price: 123,
price_discounted: 123,
price_comparison: 123,
price_cost: 123,
position: 123,
meta: ['<string>'],
tags: ['<string>'],
images: [{url: '<string>', sort_order: 123}],
options: [{value: '<string>', name: '<string>', sort_order: 123}]
})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/products/{product}/variants/{variant}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "product_id": 123,
    "sku": "<string>",
    "external_id": "<string>",
    "barcode": "<string>",
    "web_url": "<string>",
    "handle": "<string>",
    "title": "<string>",
    "description": "<string>",
    "position": 123,
    "price": 123,
    "price_discounted": 123,
    "price_comparison": 123,
    "price_cost": 123,
    "available_quantity": 123,
    "images": "<string>",
    "meta": [
      "<unknown>"
    ],
    "tags": [
      "<string>"
    ],
    "options": [
      {
        "name": "<string>",
        "value": "<string>",
        "sort_order": 123
      }
    ],
    "created_at": "<string>",
    "updated_at": "<string>",
    "deleted_at": "<string>"
  }
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

product
integer
required

The product ID

variant
integer
required

The variant ID

Body

application/json
handle
string | null
web_url
string<uri> | null
external_id
string | null
title
string | null
sku
string
barcode
string | null
description
string | null
available_quantity
integer | null
price
number
price_discounted
number | null
price_comparison
number | null
price_cost
number | null
position
integer | null
meta
string[] | null
tags
string[]
images
object[]
options
object[]

Response

ProductVariant

data
ProductVariant · object
required